Lotus Notes Traveler customers are NOT recommended to upgrade to Domino 8.5.2.3

Lotus Notes Traveler customers are NOT recommended to upgrade to Domino 8.5.2.3 and later releases until they have applied APAR LO62635 to the Traveler server.

Domino server 8.5.2.3 (Fix Pack 3) changed one of the API calls that Lotus Traveler server uses.  Running Domino 8.5.2.3 and Lotus Traveler 8.5.2.x without LO62635 can cause a server crash scenario.  Once LO62635 is installed on the server, the Domino server can be at any 8.5.2.*  level.


WORKAROUND:

Until the Traveler APAR LO62635 fix is available, Administrators may uninstall Domino Server Fix Pack 3 and install Fix Pack 2 instead.

The information above is from TN 1507380